<?php
session_start();
require_once('../config/config.php');
require_once('../class/functions.php');
dbconnect();

if (!is_admin()) {
    redirect(LOGIN);
}

$page = "Online Activity";
$geo = ip2location($_SERVER['REMOTE_ADDR']);
$country = $geo->country;
$city = $geo->city;
visit_log($_SERVER['REMOTE_ADDR'], $country, $city, $_SERVER['HTTP_USER_AGENT'], getBrowser($_SERVER['HTTP_USER_AGENT']), getOS($_SERVER['HTTP_USER_AGENT']), $page, $_SESSION['admin_login']);

require_once('head.php');
?>

<body>
  <div class="app" id="app">

<!-- ############ LAYOUT START-->
  <!-- aside -->
  <?php require_once('aside.php'); ?>
  <!-- / aside -->



  <!-- content -->
  <div id="content" class="app-content box-shadow-z3" role="main">

    <?php require_once('header.php'); ?>

    <?php require_once('footer.php'); ?>

    <div ui-view class="app-body" id="view">
    <!-- ############ PAGE START-->

    <?php
        $usernumber = clean_data($_GET['user']);
        if (!empty($usernumber) && number_exist($usernumber)) {
        $sql = "SELECT * FROM `".USERS_TABLE_NAME."` WHERE user_number='{$usernumber}' or user_id='{$usernumber}'";
        $stmt = $pdo->query($sql);
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
    ?>


    <div class="item">
        <div class="item-bg">
          <img src="../users/<?php echo user_photo($row['user_login']); ?>" class="blur opacity-3">
        </div>
        <div class="p-a-md">
          <div class="row m-t">
            <div class="col-sm-10">
              <a href class="pull-left m-r-md">
                <span class="avatar w-96">
                  <img src="../users/<?php echo user_photo($row['user_login']); ?>">
                  <?php if($row['user_online'] == '1'){echo '<i class="on b-white"></i>';} ?>
                </span>
              </a>
              <div class="clear m-b">
                <p class="text-md profile-status">Account holder details</p>
                <h3 class="m-a-0 m-b-xs"><?php echo $row['user_names']; ?> <?php if($row['user_online'] == '1'){echo '<span class="label green text-sm">online</span>';} ?></h3>
                <p class="text-muted">
                    <?php
                    $lastlogin = last_login($row['user_login']);
                    foreach($lastlogin as $last){
                        if ($last['last_ts'] == '0000-00-00 00:00:00') {
                            echo '';
                        }else{
                            $lastdate = date('l jS F Y h:m A', strtotime($last['last_ts']));
                            $lastip = $last['last_ip'];
                            echo'<span class="m-r">Last login: <strong>'.$lastdate.'</strong></span>';
                            echo' From: <small><strong><i class="fa fa-map-marker m-r-xs"></i>'.$lastip.'</strong> </small><br>';
                            echo' <a href="http://api.hostip.info/get_html.php?ip='.$lastip.'" target="_blank"><img src="http://api.hostip.info/flag.php?ip='.$lastip.'" alt="Country" width="39" height="24"></a> ';
                        }
                    } ?>
                </p>
              </div>
            </div>
          </div>
        </div>
    </div>


    <?php if (!empty($_SESSION['msg_text'])) {
    $msg = create_alert($_SESSION['msg_text'], $_SESSION['msg_type']);
    echo $msg;
    clear_msg(); }
    ?>


    <div class="padding">
      <div class="box">
        <div class="box-header">
          <h3>Today's Online Activity</h3>
        </div>
        <div id="activity" class="box-body">
            <div class="streamline b-l m-l">
                <div class="sl-item b-success">
                    <div class="sl-icon">
                        <i class="fa fa-bullseye"></i>
                    </div>
                    <div class="sl-content">
                            <div class="sl-date text-muted">Account holder's recent online activities on the website</div>
                    </div>
                </div>
                <?php
                $activity = online_activity($row['user_login']);
                if (empty($activity)) {
                echo '<p>No activity yet today</p>';
                }else{
                foreach($activity as $acty)
                {
                echo '
                <div class="sl-item b-warn">
                    <div class="sl-icon">
                        <i class="fa fa-bullseye"></i>
                    </div>
                    <div class="sl-content">
                            <div class="sl-date text-muted">'.time_ago($acty['visit_ts']).' ('.date('l jS F Y h:m A', strtotime($acty['visit_ts'])).')</div>
                            <p>'.$acty['visit_page'].' (IP: '.$acty['visit_ip'].' OS: '.$acty['visit_os'].' Browser: '.$acty['visit_browser'].')</p>
                    </div>
                </div>
                ';
                }
                }
                ?>
            </div>
        </div>
      </div>
    </div>


    <?php
    }else{
        echo create_alert('Invalid Account Holder Selected', 'danger');
    }
    ?>

    <!-- ############ PAGE END-->
    </div>



    </div>
<!-- ############ LAYOUT END-->

  </div>
<!-- build:js scripts/app.html.js -->
<!-- jQuery -->
  <script src="../libs/jquery/jquery/dist/jquery.js"></script>
  <script src="../scripts/jquery.maskMoney.js"></script>

<!-- Bootstrap -->
  <script src="../libs/jquery/tether/dist/js/tether.min.js"></script>
  <script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<!-- core -->
  <script src="../libs/jquery/underscore/underscore-min.js"></script>
  <script src="../libs/jquery/jQuery-Storage-API/jquery.storageapi.min.js"></script>
  <script src="../libs/jquery/PACE/pace.min.js"></script>

  <script src="../scripts/config.lazyload2.js"></script>

  <script src="../scripts/palette.js"></script>
  <script src="../scripts/ui-load.js"></script>
  <script src="../scripts/ui-jp.js"></script>
  <script src="../scripts/ui-include.js"></script>
  <script src="../scripts/ui-device.js"></script>
  <script src="../scripts/ui-form.js"></script>
  <script src="../scripts/ui-nav.js"></script>
  <script src="../scripts/ui-screenfull2.js"></script>
  <script src="../scripts/ui-scroll-to.js"></script>
  <script src="../scripts/ui-toggle-class.js"></script>

  <script src="../scripts/app.js"></script>

  <!-- ajax -->
  <script src="../libs/jquery/jquery-pjax/jquery.pjax.js"></script>
  <script src="../scripts/ajax.js"></script>
<!-- endbuild -->
</body>
</html>
